package com.zipcoder.payment;

public class PayPal implements Payment {
    private String payerName;
    private String email;
    private Long id;

    public PayPal(String payerName, String email, Long id) {
        this.payerName = payerName;
        this.email = email;
        this.id = id;
    }

    public PayPal() {
    }

    @Override
    public long getId() {
        return this.id;
    }

    @Override
    public String getPayerName() {
        return this.payerName;
    }

    @Override
    public String getShortDescription() {

        return "Paypal "+ payerName+ " "+ email;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }


    @Override
    public int compareTo(Payment p) {
        return this.getShortDescription().compareTo(p.getShortDescription());
    }
}
