package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class PaymentPresenterTest {



    @Test
    public void testoString(){


        Payment[] payments = new Payment[0];
        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "";

        String actual = presenter.toString(payments);

        assertEquals(expected, actual);
    }


    @Test
    public void testoString2(){

        Payment[] payments = new Payment[2];
        Payment paypal = new PayPal("Tia Mowry", "tia@mowry.com", 4L);
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = check;
        payments[1] = paypal;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPaypal Tia Mowry tia@mowry.com\n";

        String actual = presenter.toString(payments);
        assertEquals(expected, actual);
    }


}
