package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class TestCheck {
    Check check= new Check();


    @Test
    public void testGetId(){
        //given;
        Long id= Long.valueOf(1);
        check.setId(id);
        //when
        Long actualOutPut= check.getId();
        //then
        Assert.assertEquals(id,actualOutPut);
    }

    @Test
    public void testSetId(){
        //given;
        Long id= Long.valueOf(1);
        check.setId(id);
        //when
        Long actualOutPut= check.getId();
        //then
        Assert.assertEquals(id,actualOutPut);
    }

    @Test
    public void testGetPayerName(){
        //given;
        String name="sam";
        check.setPayerName(name);
        //when
        String actualOutput= check.getPayerName();
        //then
        Assert.assertEquals(name, actualOutput);
    }

    @Test
    public void testSetPayerName(){
        //given;
        String name="sam";
        check.setPayerName(name);
        //when
        String actualOutput= check.getPayerName();
        //then
        Assert.assertEquals(name, actualOutput);

    }

    @Test
    public void testGetRoutingNumber(){
        //given
        String rNumber= "1234";
        check.setRoutingNumber(rNumber);
        //when
        String actualOutput=check.getRoutingNumber();
        //then
        Assert.assertEquals(rNumber,actualOutput);
    }


    @Test
    public void testSetRoutingNumber(){
        //given
        String rNumber= "1234";
        check.setRoutingNumber(rNumber);
        //when
        String actualOutput=check.getRoutingNumber();
        //then
        Assert.assertEquals(rNumber,actualOutput);

    }


    @Test
    public void testGetAccountNumber(){
        //given
        String accNumber= "5678";
        check.setAccountNumber(accNumber);
        //when
        String actualOutput= check.getAccountNumber();
        //then
        Assert.assertEquals(accNumber,actualOutput);
    }


    @Test
    public void testSetAccountNumber(){
        //given
        String accNumber= "5678";
        check.setAccountNumber(accNumber);
        //when
        String actualOutput= check.getAccountNumber();
        //then
        Assert.assertEquals(accNumber,actualOutput);
    }


    //compare to is sorting data and then caomparing check1 to check2
    // which is coming first

    @Test
    public void testCompareTo(){
        Check check1= new Check((long) 1,"sam", "12345", "1234567890");
        Check check2= new Check((long) 2,"sam", "12345", "1234567890");

        //given
        int expectedOUtput =0;
        //when
        int actualOutput = check1.compareTo(check2);
        //then
        Assert.assertEquals(expectedOUtput,actualOutput);
    }

    @Test
    public void testCompareTo1(){
        Check check1= new Check((long) 1,"sam", "12345", "123456789");
        Check check2= new Check((long) 2,"sam", "12345", "123456788");

        //given
        int expectedOUtput =1;
        //when
        int actualOutput = check1.compareTo(check2);
        //then
        Assert.assertEquals(expectedOUtput,actualOutput);
    }


    @Test
    public void testCompareTo2(){
        Check check1= new Check((long) 1,"sam", "12345", "123456789");
        Check check2= new Check((long) 2,"sam", "12345", "123456790");

        //given
        int expectedOUtput =-1;
        //when
        int actualOutput = check1.compareTo(check2);
        //then
        Assert.assertEquals(expectedOUtput,actualOutput);
    }




}
