package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class TestCreditCard {

  CreditCard creditCard= new CreditCard();

  @Test
  public void testGetId(){
    //given;
    Long id= Long.valueOf(1);
    creditCard.setId(id);
    //when
    Long actualOutPut=creditCard .getId();
    //then
    Assert.assertEquals(id,actualOutPut);
  }

  @Test
  public void testSetId(){
    //given;
    Long id= Long.valueOf(1);
        creditCard .setId(id);
    //when
    Long actualOutPut=creditCard .getId();
    //then
    Assert.assertEquals(id,actualOutPut);
  }

  @Test
  public void testGetpayerName(){
    //given;
    String name= "sam";
    creditCard.setPayerName(name);
    //when
    String actualOutput= creditCard.getPayerName();
    //then
    Assert.assertEquals(name,actualOutput);
  }

  @Test
  public void testSetpayerName(){
    //given;
    String name= "sam";
    creditCard.setPayerName(name);
    //when
    String actualOutput= creditCard.getPayerName();
    //then
    Assert.assertEquals(name,actualOutput);

  }


  @Test
  public void testGetNumber(){
    //given;
    String number= "1234";
    creditCard.setNumber(number);
    //when
    String actualOutput= creditCard.getNumber();
    //then
    Assert.assertEquals(number,actualOutput);
  }



  @Test
  public void testSetNumber(){
    //given;
    String number= "1234";
    creditCard.setNumber(number);
    //when
    String actualOutput= creditCard.getNumber();
    //then
    Assert.assertEquals(number,actualOutput);

  }


  @Test
  public void testGetExpiredMonth(){
    //given;
    int expireMonth= 11;
    creditCard.setExpiredMonth(expireMonth);
    //when
    int actualOutput= creditCard.getExpiredMonth();
    //then
    Assert.assertEquals(expireMonth, actualOutput);
  }


  @Test
  public void testSetExpiredMonth(){
    //given;
    int expireMonth= 11;
    creditCard.setExpiredMonth(expireMonth);
    //when
    int actualOutput= creditCard.getExpiredMonth();
    //then
    Assert.assertEquals(expireMonth, actualOutput);
  }



  @Test
  public void testGetExpiredYear(){
    //given;
    int expireYear= 2019;
    creditCard.setExpiredYear(expireYear);
    //when
    int actualOutput= creditCard.getExpiredYear();
    //then
    Assert.assertEquals(expireYear, actualOutput);
  }



  @Test
  public void testSetExpiredYear(){
    //given;
    int expireYear= 2019;
    creditCard.setExpiredYear(expireYear);
    //when
    int actualOutput= creditCard.getExpiredYear();
    //then
    Assert.assertEquals(expireYear, actualOutput);
  }

  //compare to is sorting data and then caomparing check1 to check2
  // which is coming first
  @Test
          public  void  testCompareTo() {

    CreditCard creditCard1 = new CreditCard(1, "simran", "12345", 11, 2019);
    CreditCard creditCard2 = new CreditCard(2, "simran", "12345", 11, 2019);

    //given
    int expectedOUtput =0;
    //when
    int actualOutput = creditCard1.compareTo(creditCard2);
    //then
    Assert.assertEquals(expectedOUtput,actualOutput);
  }

  @Test
  public  void  testCompareTo1() {

    CreditCard creditCard1 = new CreditCard(1, "simran", "12345", 11, 2020);
    CreditCard creditCard2 = new CreditCard(2, "simran", "12345", 11, 2019);

    //given
    int expectedOUtput =1;
    //when
    int actualOutput = creditCard1.compareTo(creditCard2);
    //then
    Assert.assertEquals(expectedOUtput,actualOutput);
  }

  @Test
  public  void  testCompareTo2() {

    CreditCard creditCard1 = new CreditCard(1, "simran", "12345", 11, 2018);
    CreditCard creditCard2 = new CreditCard(2, "simran", "12345", 11, 2019);

    //given
    int expectedOUtput =-1;
    //when
    int actualOutput = creditCard1.compareTo(creditCard2);
    //then
    Assert.assertEquals(expectedOUtput,actualOutput);
  }
}
