package com.zipcoder.payment;

public class Check implements Payment {
    private Long id;
    private String payerName;
    private String routingNumber;
    private String accountNumber;

    public Check(Long id, String payerName, String routingNumber, String accountNumber) {
        this.id = id;
        this.payerName = payerName;
        this.routingNumber = routingNumber;
        this.accountNumber = accountNumber;
    }

    public Check() {

    }

    @Override
    public long getId() {
        return this.id;
    }

    @Override
    public String getPayerName() {
        return this.payerName;
    }

    @Override
    public String getShortDescription() {
        return "Check "+ payerName+ " "+ "***"+ accountNumber.substring(accountNumber.length()-4);
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getRoutingNumber() {
        return this.routingNumber;
    }

    public void setRoutingNumber(String routingNumber) {
        this.routingNumber = routingNumber;
    }

    public String getAccountNumber() {
        return this.accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    @Override
    public int compareTo(Payment p) {
        return this.getShortDescription().compareTo(p.getShortDescription());
    }
}
