package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class TestPayPal {
    @Test
    public void testGetId(){
        PayPal payPal= new PayPal();
        payPal.setId(Long.valueOf(2));
        Assert.assertEquals(2, payPal.getId());

    }

        @Test
        public void testSetId(){
            PayPal payPal= new PayPal();
            payPal.setId(Long.valueOf(2));
            Assert.assertEquals(2, payPal.getId());

        }

    @Test
    public void testGetPayerName(){
        PayPal payPal= new PayPal();
       String name= "sam";
       payPal.setPayerName(name);
        String actualOutput= payPal.getPayerName();
        Assert.assertEquals(name, actualOutput);
    }

    @Test
    public void testsetPayerName(){
        PayPal payPal= new PayPal();
        String name= "sam";
        payPal.setPayerName(name);
        String actualOutput= payPal.getPayerName();
        Assert.assertEquals(name, actualOutput);

    }


    @Test
    public void testGetEmail(){
        PayPal payPal= new PayPal();
        String email="sam@sam.com";
        payPal.setEmail(email);
        String actualOutput= payPal.getEmail();
        Assert.assertEquals(email,actualOutput);

    }


    @Test
    public void testSetEmail(){
        PayPal payPal= new PayPal();
        String email="sam@sam.com";
        payPal.setEmail(email);
        String actualOutput= payPal.getEmail();
        Assert.assertEquals(email,actualOutput);


    }

    @Test
    public  void  testCompareTo() {

        PayPal pp1 = new PayPal("sam", "sam@abc.com", (long) 1);
        PayPal pp2 = new PayPal("sam", "sam@abc.com", (long) 2);


        //given
        int expectedOUtput =0;
        //when
        int actualOutput = pp1.compareTo(pp2);
        //then
        Assert.assertEquals(expectedOUtput,actualOutput);
    }


    @Test
    public  void  testCompareTo1() {

        PayPal pp1 = new PayPal("samab", "sam@abc.com", (long) 1);
        PayPal pp2 = new PayPal("samaa", "sam@abc.com", (long) 1);


        //given
        int expectedOUtput =1;
        //when
        int actualOutput = pp1.compareTo(pp2);
        //then
        Assert.assertEquals(expectedOUtput,actualOutput);
    }



    @Test
    public  void  testCompareTo2() {

        PayPal pp1 = new PayPal("sama", "sam@abc.com", (long) 1);
        PayPal pp2 = new PayPal("samb", "sam@abc.com", (long) 1);


        //given
        int expectedOUtput =-1;
        //when
        int actualOutput = pp1.compareTo(pp2);
        //then
        Assert.assertEquals(expectedOUtput,actualOutput);
    }



    }
